import React from 'react';
import { AppContext } from '../../../context/app'
import { AppData } from '../../../context/data'

export default function Create() {
    const [ctx] = React.useContext(AppContext)
    const [data] = React.useContext(AppData)

    const hasPlayers = ctx.newGame.whitePlayer !== ctx.newGame.blackPlayer
        && ctx.newGame.blackPlayer !== ''
        && ctx.newGame.whitePlayer !== ''

    const hasCurrentUser = data.isCurrentUser(ctx.newGame.blackPlayer) 
        || data.isCurrentUser(ctx.newGame.whitePlayer)
    
    const isEnabled = hasPlayers && hasCurrentUser

    const onClick = () => {
        if (!hasPlayers) 
            return alert("Choose both black and white players");

        if (!hasCurrentUser)
            return alert("You must be one of the players");
    
        console.log("TODO: send GameCreateRequest to the server!")
    }

    return (
        <button
            className={'game-action create' + (isEnabled ? ' enabled' : ' disabled')}
            onClick={onClick}
        >
            Create
        </button>
    )
}
